scala.collection.parallel.mutable.ResizableParArrayCombiner

# CopyChainToArray

#### class CopyChainToArray extends Task[Unit, CopyChainToArray]

Source
  ResizableParArrayCombiner.scala

Linear Supertypes
Task[Unit, CopyChainToArray], AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. CopyChainToArray
2. Task
3. AnyRef
4. Any

Implicitly

1. by CollectionsHaveToParArray
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new CopyChainToArray(array: Array[Any], offset: Int, howmany: Int)

### Type Members

1. #### type Result = Unit

   Definition Classes
     Task

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from CopyChainToArray to any2stringadd[CopyChainToArray] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (CopyChainToArray, B)

   Implicit information
     This member is added by an implicit conversion from CopyChainToArray to ArrowAssoc[CopyChainToArray] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def ensuring(cond: (CopyChainToArray) ⇒ Boolean, msg: ⇒ Any): CopyChainToArray

   Implicit information
     This member is added by an implicit conversion from CopyChainToArray to Ensuring[CopyChainToArray] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: (CopyChainToArray) ⇒ Boolean): CopyChainToArray

   Implicit information
     This member is added by an implicit conversion from CopyChainToArray to Ensuring[CopyChainToArray] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean, msg: ⇒ Any): CopyChainToArray

    Implicit information
      This member is added by an implicit conversion from CopyChainToArray to Ensuring[CopyChainToArray] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean): CopyChainToArray

    Implicit information
      This member is added by an implicit conversion from CopyChainToArray to Ensuring[CopyChainToArray] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from CopyChainToArray to StringFormat[CopyChainToArray] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

16. #### def forwardThrowable(): Unit

    Definition Classes
      Task

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### def leaf(prev: Option[Unit]): Unit

    Body of the task - non-divisible unit of work done by this task.

    Body of the task - non-divisible unit of work done by this task. Optionally is provided with the result from the previous completed task or `None` if there was no previous task (or the previous task is uncompleted or unknown).

    Definition Classes
      CopyChainToArray → Task

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def repr: CopyChainToArray

    Definition Classes
      Task

25. #### var result: Unit

    A result that can be accessed once the task is completed.

    A result that can be accessed once the task is completed.

    Definition Classes
      CopyChainToArray → Task

26. #### def shouldSplitFurther: Boolean

    Decides whether or not this task should be split further.

    Decides whether or not this task should be split further.

    Definition Classes
      CopyChainToArray → Task

27. #### def split: immutable.List[CopyChainToArray]

    Splits this task into a list of smaller tasks.

    Splits this task into a list of smaller tasks.

    Definition Classes
      CopyChainToArray → Task

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### var throwable: Throwable

    Definition Classes
      Task

30. #### def toParArray: ParArray[T]

    Implicit information
      This member is added by an implicit conversion from CopyChainToArray to CollectionsHaveToParArray[CopyChainToArray, T] performed by method CollectionsHaveToParArray in scala.collection.parallel. This conversion will take place only if an implicit value of type (CopyChainToArray) ⇒ GenTraversableOnce[T] is in scope.
    Definition Classes
      CollectionsHaveToParArray

31. #### def toString(): String

    Definition Classes
      AnyRef → Any

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### def →[B](y: B): (CopyChainToArray, B)

    Implicit information
      This member is added by an implicit conversion from CopyChainToArray to ArrowAssoc[CopyChainToArray] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Task[Unit, CopyChainToArray]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion CollectionsHaveToParArray from CopyChainToArray to CollectionsHaveToParArray[CopyChainToArray, T]

### Inherited by implicit conversion any2stringadd from CopyChainToArray to any2stringadd[CopyChainToArray]

### Inherited by implicit conversion StringFormat from CopyChainToArray to StringFormat[CopyChainToArray]

### Inherited by implicit conversion Ensuring from CopyChainToArray to Ensuring[CopyChainToArray]

### Inherited by implicit conversion ArrowAssoc from CopyChainToArray to ArrowAssoc[CopyChainToArray]

### Ungrouped